## org.eclipse.emf.ecore.xmi.impl
Class XMLLoadImpl

    java.lang.Object
      org.eclipse.emf.ecore.xmi.impl.XMLLoadImpl

All Implemented Interfaces:
  XMLLoad

Direct Known Subclasses:
  GenericXMLResourceImpl.GenericXMLLoadImpl, XMILoadImpl

    public class XMLLoadImpl

extends java.lang.Object
implements XMLLoad

This class begins parsing with the given input stream using the XML deserializer.

Nested Class Summary
`protected static class` `XMLLoadImpl.AttributesProxy`

Field Summary
`protected static int` `BUFFER_SIZE`
`protected XMLHelper` `helper`
`protected java.io.InputStream` `is`
`protected boolean` `namespaceAware`
`protected java.util.Map<?,?>` `options`
`protected XMLResource` `resource`
`protected static java.lang.String` `SAX_LEXICAL_PROPERTY`

Constructor Summary
`XMLLoadImpl(XMLHelper helper)`

Method Summary
`XMLDefaultHandler` `createDefaultHandler()`
`protected java.lang.String` `getEncoding()` Deprecated. since 2.2 The encoding will be reported by the parser using SAX 2 Locator
`protected void` `handleErrors()`
`void` `load(XMLResource resource, org.xml.sax.InputSource inputSource, java.util.Map<?,?> options)`
`void` `load(XMLResource resource, java.io.InputStream inputStream, java.util.Map<?,?> options)` Start parsing with the default handler; either XMI or XML.
`void` `load(XMLResource resource, org.w3c.dom.Node node, java.util.Map<?,?> options)`
`protected org.xml.sax.helpers.DefaultHandler` `makeDefaultHandler()`
`protected javax.xml.parsers.SAXParser` `makeParser()` Make either a validating or non-validating parser; throw an if one could not be made.
`protected byte[]` `readBuffer()`
`protected void` `traverse(org.w3c.dom.Node node, XMLLoadImpl.AttributesProxy attributesProxy, org.xml.sax.helpers.DefaultHandler handler, org.xml.sax.ext.LexicalHandler lexicalHandler)`
`protected void` `traverseElement(org.w3c.dom.Element element, XMLLoadImpl.AttributesProxy attributesProxy, org.xml.sax.helpers.DefaultHandler handler, org.xml.sax.ext.LexicalHandler lexicalHandler)` Special case: traversing root element using namespaces in scope

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SAX_LEXICAL_PROPERTY

    protected static final java.lang.String SAX_LEXICAL_PROPERTY

See Also:
  Constant Field Values

### BUFFER_SIZE

    protected static final int BUFFER_SIZE

See Also:
  Constant Field Values

### resource

    protected XMLResource resource

### is

    protected java.io.InputStream is

### helper

    protected XMLHelper helper

### options

    protected java.util.Map<?,?> options

### namespaceAware

    protected boolean namespaceAware

Constructor Detail

### XMLLoadImpl

    public XMLLoadImpl(XMLHelper helper)

Method Detail

### handleErrors

    protected void handleErrors()
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### load

    public void load(XMLResource resource,
                     java.io.InputStream inputStream,
                     java.util.Map<?,?> options)
              throws java.io.IOException

  Start parsing with the default handler; either XMI or XML.

  Specified by:
    `load` in interface `XMLLoad`
  Throws:
    `java.io.IOException`

### load

    public void load(XMLResource resource,
                     org.xml.sax.InputSource inputSource,
                     java.util.Map<?,?> options)
              throws java.io.IOException

  Specified by:
    `load` in interface `XMLLoad`
  Throws:
    `java.io.IOException`

### makeParser

    protected javax.xml.parsers.SAXParser makeParser()
                                              throws javax.xml.parsers.ParserConfigurationException,
                                                     org.xml.sax.SAXException

  Make either a validating or non-validating parser; throw an if one could not be made.

  Throws:
    `javax.xml.parsers.ParserConfigurationException`
    `org.xml.sax.SAXException`

### createDefaultHandler

    public XMLDefaultHandler createDefaultHandler()

  Specified by:
    `createDefaultHandler` in interface `XMLLoad`

### makeDefaultHandler

    protected org.xml.sax.helpers.DefaultHandler makeDefaultHandler()

### getEncoding

    @Deprecated
    protected java.lang.String getEncoding()
                                    throws java.io.IOException

  Deprecated. since 2.2 The encoding will be reported by the parser using SAX 2 Locator

  Throws:
    `java.io.IOException`

### readBuffer

    protected byte[] readBuffer()
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### load

    public void load(XMLResource resource,
                     org.w3c.dom.Node node,
                     java.util.Map<?,?> options)
              throws java.io.IOException

  Specified by:
    `load` in interface `XMLLoad`
  Throws:
    `java.io.IOException`

### traverseElement

    protected void traverseElement(org.w3c.dom.Element element,
                                   XMLLoadImpl.AttributesProxy attributesProxy,
                                   org.xml.sax.helpers.DefaultHandler handler,
                                   org.xml.sax.ext.LexicalHandler lexicalHandler)
                            throws org.xml.sax.SAXException

  Special case: traversing root element using namespaces in scope

  Throws:
    `org.xml.sax.SAXException`

### traverse

    protected void traverse(org.w3c.dom.Node node,
                            XMLLoadImpl.AttributesProxy attributesProxy,
                            org.xml.sax.helpers.DefaultHandler handler,
                            org.xml.sax.ext.LexicalHandler lexicalHandler)
                     throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.